package com.inspect.resultmain.service;

import com.inspect.resultmain.domain.PatrolTaskResultMain;

import java.util.List;

public interface IPatrolTaskResultMainService {
    PatrolTaskResultMain selectPatrolTaskResultMainByLineId(Long lineId);

    List<PatrolTaskResultMain> selectPatrolTaskResultMainList(PatrolTaskResultMain patrolTaskResultMain);

    PatrolTaskResultMain selectPatrolTaskResultMainByTaskPatrolledId(String taskPatrolledId);

    List<PatrolTaskResultMain> selectPatrolTaskResultMainByTaskPatrolledIds(List<String> taskPatrolledIds);

    List<PatrolTaskResultMain> selectPatrolTaskResultMain(PatrolTaskResultMain patrolTaskResultMain);

    String selectUnifiedTaskPatrolledId(PatrolTaskResultMain patrolTaskResultMain);

    int insertPatrolTaskResultMain(PatrolTaskResultMain patrolTaskResultMain);

    int updatePatrolTaskResultMain(PatrolTaskResultMain patrolTaskResultMain);

    int deletePatrolTaskResultMainByLineIds(Long[] lineIds);

    int deletePatrolTaskResultMainByLineId(Long lineId);

    List<PatrolTaskResultMain> selectMainFileStatus(List<String> patrolIds);

    List<Long> selectLineIds(Long lineId);

    List<Long> selectLineIdsByList(List<Long> lineIds);

    PatrolTaskResultMain selectPatrolTaskResultMainOne(String patrolTaskId);
}
